=head1 NAME


XXV::MODULES::EPG



=head1 SYNOPSIS

  
  use XXV::MODULES::EPG
  my  = XXV::MODULES::EPG->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.45 - 21.09.2005

=head1 DESCRIPTION

Dieses Modul liest neue EPG-Daten und speichert sie in der Datenbank.

=head1 CONFIGURATION

=over 4



=item 1 epgfile

Wo die Datei epg.data im System gespeichert ist.

=over 4

=item * default: /var/cache/vdr/epg.data

=item * type: file

=item * required: Yes

=back



=item 2 epgimages

Position von zusätzlichen EPG Bildern.

=over 4

=item * default: /var/cache/vdr/epgimages

=item * type: dir

=item * required: No

=back



=item 3 interval

Der Intervall zum Einlesen von neuen EPG Daten in die Datenbank in Sekunden

=over 4

=item * default: 300

=item * type: integer

=item * required: Yes

=back



=item 4 periods

Die bevorzugten Programmzeiten (Kommagetrenne Liste)

=over 4

=item * default: 12:00,18:00,20:15,22:00

=item * type: string

=item * required: Yes

=back



=item 5 restart

Der Intervall in Stunden(!), zwischen dem vollen Neueinlesen der EPG Daten.

=over 4

=item * default: 3

=item * type: integer

=item * required: Yes

=back



=item 6 timeframe

Wieviel im Schema anzuzeigen Stunden

=over 4

=item * default: 2

=item * type: integer

=item * required: Yes

=back



=back

=head1 COMMANDS

=over 4



=item *  conflict ()





=item *  display (d)

Zeige Sendung 'eventid'



=item *  epurge (ep)

Löscht alle EPG Einträge und startet den Abfrageprozess neu.



=item *  erestart (er)

Starte den EPG-Abfrageprozess neu



=item *  erun (en)

Zeigt die Sendung die im VDR läuft



=item *  estatus (et)

Status der EPG-Daten



=item *  next (nx)

Zeigt Sendungen, welche als nächstes laufen.



=item *  now (n)

Zeigt Sendungen, welche aktuell laufen.



=item *  program (p)

Zeige Programm für Kanal 'Kanalname'



=item *  schema (sch)

Zeigt Sendungen in einer übersichtlichen Weise



=item *  search (s)

Suche in EPG-Daten



=back

=head1 REQUIREMENTS

=over 4



=item *  Date::Manip

date manipulation routines



=item *  Event::File

is a wrapper module to write perl modules that deal with Files thru Event. It tries to mimics Event.pm model.



=item *  Time::Local

efficiently compute time from local and GMT time 



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
